Bug 1323294 - AVX-2 migration optimisation
Summary: AVX-2 migration optimisation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dr. David Alan Gilbert
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 18:41 UTC by Dr. David Alan Gilbert
Modified: 2016-11-07 21:03 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:03:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Comment 2 Amit Shah 2016-04-05 06:13:38 UTC
AVX2 is already supported in Broadwell and Haswell, we should be able to test it.

Note that avx2 support was added, not avx-512.  So maybe the summary should be updated?

Comment 3 Dr. David Alan Gilbert 2016-04-05 08:46:13 UTC
(In reply to Amit Shah from comment #2)
> AVX2 is already supported in Broadwell and Haswell, we should be able to
> test it.
> 
> Note that avx2 support was added, not avx-512.  So maybe the summary should
> be updated?

Yep, you're right, so we should be able to test it on an AVX2 machine which we'll have somewhere.

Comment 4 Amit Shah 2016-04-05 08:51:10 UTC
(In reply to Dr. David Alan Gilbert from comment #3)
> (In reply to Amit Shah from comment #2)
> > AVX2 is already supported in Broadwell and Haswell, we should be able to
> > test it.
> > 
> > Note that avx2 support was added, not avx-512.  So maybe the summary should
> > be updated?
> 
> Yep, you're right, so we should be able to test it on an AVX2 machine which
> we'll have somewhere.

"grep avx2 /proc/cpuinfo" will confirm if the machine has the extensions which this feature uses.

Comment 6 Dr. David Alan Gilbert 2016-05-31 17:58:03 UTC
OK, it looks like we have two problems:
  a) the configure time test gets optimised out with -O2 and decides it can't do AVX2
  b) There's a compile time test in the code that uses it which checks that it has gcc4.9 or better to work around a header bug, but we've only get 4.8.5 in RHEL.  Paolo says that's due to  https://gcc.gnu.org/ml/gcc-patches/2013-06/txt6Tt74laQsp.txt   which we don't seem to have yet.

Comment 11 Miroslav Rezanina 2016-06-21 07:03:35 UTC
Fix included in qemu-kvm-rhev-2.6.0-8.el7

Comment 15 Guo, Zhiyi 2016-08-23 02:46:24 UTC
Move to verified per comment 13 & 14

Comment 17 errata-xmlrpc 2016-11-07 21:03:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.